Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: instaleren van gtk+  (gelezen 561 keer)

Offline Ivan1986

  • Lid
  • Steunpunt: Nee
instaleren van gtk+
« Gepost op: 2007/08/06, 20:15:19 »
een paar berichten ervoor heb ik nog zo eens iets willen instaleren :D maar nu ben ik zeker gtk+ is wat ik nodig heb. ik download het paket van de site. unzip het (als ik dat zo mag noemen) en voer daarna heel simpel de config ui in de terminal, dan krijg ik dit als reslutaat (enkel het laatste stukje want hierin zit wss het probleem)

checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for BASE_DEPENDENCIES... configure: error: Package requirements (glib-2.0 >= 2.12.0    atk >= 1.9.0    pango >= 1.12.0    cairo >= 1.2.0) were not met:

No package 'glib-2.0' found
No package 'atk' found
No package 'pango' found
No package 'cairo' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables BASE_DEPENDENCIES_CFLAGS
and BASE_DEPENDENCIES_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
ik veronderstel dat ik deze paketten ook moet installeren... iemand een idee

Offline Dominique Ramaekers

  • Lid
  • Steunpunt: Nee
instaleren van gtk+
« Reactie #1 Gepost op: 2007/08/07, 20:27:23 »
Wat wil je installeren? Wil je zelf GUI's maken op basis van gtk+?

Offline Ivan1986

  • Lid
  • Steunpunt: Nee
instaleren van gtk+
« Reactie #2 Gepost op: 2007/08/07, 20:57:35 »
ik wil graag kleine proogramma's maken met een programma, liefst te programmeren in c.....

Offline Dominique Ramaekers

  • Lid
  • Steunpunt: Nee
instaleren van gtk+
« Reactie #3 Gepost op: 2007/08/08, 20:33:34 »
Ik kan niet zien in je post welk pakket je wil installeren maar om een gtk+ gui te maken zijn er verschillende pakketen in synaptic vb 'entity'

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
instaleren van gtk+
« Reactie #4 Gepost op: 2007/08/08, 20:35:22 »
Je moet Gtk niet compileren om in Gtk te ontwikkelen. Kijk ook hier voor beginners: https://help.ubuntu.com/ubuntu/desktopguide/C/programming.html
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)